"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetResourcePolicyInput_1 = require("../shapes/GetResourcePolicyInput");
var GetResourcePolicyOutput_1 = require("../shapes/GetResourcePolicyOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetResourcePolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetResourcePolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetResourcePolicyInput_1.GetResourcePolicyInput
    },
    output: {
        shape: GetResourcePolicyOutput_1.GetResourcePolicyOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        }
    ]
};
//# sourceMappingURL=GetResourcePolicy.js.map