"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateSecretVersionStageInput_1 = require("../shapes/UpdateSecretVersionStageInput");
var UpdateSecretVersionStageOutput_1 = require("../shapes/UpdateSecretVersionStageOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateSecretVersionStage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateSecretVersionStage",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateSecretVersionStageInput_1.UpdateSecretVersionStageInput
    },
    output: {
        shape: UpdateSecretVersionStageOutput_1.UpdateSecretVersionStageOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        }
    ]
};
//# sourceMappingURL=UpdateSecretVersionStage.js.map