"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _RotationRulesType_1 = require("./_RotationRulesType");
exports.RotateSecretInput = {
    type: "structure",
    required: ["SecretId"],
    members: {
        SecretId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ClientRequestToken: {
            shape: {
                type: "string",
                min: 32
            }
        },
        RotationLambdaARN: {
            shape: {
                type: "string"
            }
        },
        RotationRules: {
            shape: _RotationRulesType_1._RotationRulesType
        }
    }
};
//# sourceMappingURL=RotateSecretInput.js.map