import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteResourcePolicyInput } from "../types/DeleteResourcePolicyInput";
import { DeleteResourcePolicyOutput } from "../types/DeleteResourcePolicyOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/DeleteResourcePolicyInput";
export * from "../types/DeleteResourcePolicyOutput";
export * from "../types/DeleteResourcePolicyExceptionsUnion";
export declare class DeleteResourcePolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteResourcePolicyInput, OutputTypesUnion, DeleteResourcePolicyOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: DeleteResourcePolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteResourcePolicyInput, DeleteResourcePolicyOutput, Blob>;
    constructor(input: DeleteResourcePolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<DeleteResourcePolicyInput, DeleteResourcePolicyOutput>;
}
