import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutResourcePolicyInput } from "../types/PutResourcePolicyInput";
import { PutResourcePolicyOutput } from "../types/PutResourcePolicyOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/PutResourcePolicyInput";
export * from "../types/PutResourcePolicyOutput";
export * from "../types/PutResourcePolicyExceptionsUnion";
export declare class PutResourcePolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, PutResourcePolicyInput, OutputTypesUnion, PutResourcePolicyOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: PutResourcePolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutResourcePolicyInput, PutResourcePolicyOutput, Blob>;
    constructor(input: PutResourcePolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<PutResourcePolicyInput, PutResourcePolicyOutput>;
}
