import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateSecretInput } from "../types/UpdateSecretInput";
import { UpdateSecretOutput } from "../types/UpdateSecretOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/UpdateSecretInput";
export * from "../types/UpdateSecretOutput";
export * from "../types/UpdateSecretExceptionsUnion";
export declare class UpdateSecretCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateSecretInput, OutputTypesUnion, UpdateSecretOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: UpdateSecretInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateSecretInput, UpdateSecretOutput, Blob>;
    constructor(input: UpdateSecretInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<UpdateSecretInput, UpdateSecretOutput>;
}
