"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _TagListType_1 = require("./_TagListType");
exports.CreateSecretInput = {
    type: "structure",
    required: ["Name"],
    members: {
        Name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ClientRequestToken: {
            shape: {
                type: "string",
                min: 32
            }
        },
        Description: {
            shape: {
                type: "string"
            }
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        SecretBinary: {
            shape: {
                type: "blob",
                sensitive: true
            }
        },
        SecretString: {
            shape: {
                type: "string",
                sensitive: true
            }
        },
        Tags: {
            shape: _TagListType_1._TagListType
        }
    }
};
//# sourceMappingURL=CreateSecretInput.js.map